class EasyRakeTaskSynchronizeCurrencies < EasyRakeTask

  def execute

    log_info 'Currencies synchronizing...'

    rates = EasyCurrency.synchronize_exchange_rates(Date.today)

    log_info 'Currencies synchronized.'
    [rates.present?, rates]
  end

end
# t = EasyRakeTaskSynchronizeCurrencies.new(active: true, settings: {}, period: :daily, interval: 1, next_run_at: (Date.tomorrow.to_time + 8.hour))
# t.builtin = 1
# t.save!
